#include "pgm.decl.h"

class Range : public CMessage_Range { 
public:
  int low, high;
};

class DataMsg : public CMessage_DataMsg {
public:
double x;
};

class main : public Chare
{
private:
  int count;
  double integral;
public:
  main(CkMigrateMessage *m) {}
  main(CkArgMsg *m);
  void results(DataMsg *msg);
};

class integrate : public Chare 
{
private:

public:
  integrate(CkMigrateMessage *m) {}
  integrate(Range *m);
};

